Android Immersion Haptics not in Studio 2?

Discussion in 'GameMaker Studio 2 Community Tech Support' started by ClassyGoat, Oct 31, 2017.

  1. ClassyGoat

    ClassyGoat Member

    Joined:
    Jun 21, 2016
    Posts:
    11
  2. rwkay

    rwkay YoYo Games Staff YYG Staff

    Joined:
    Apr 12, 2016
    Posts:
    1,048
    No immersion have asked for the haptics library to be removed and we will not be adding it again - it is also removed from GMS1

    BUT anyone can make an extension and add it themselves, I believe Immersion have a new API that can be used.

    Russell
     
  3. zbox

    zbox Member GMC Elder

    Joined:
    Jun 21, 2016
    Posts:
    788
    "Hello would you like a wide userbase to be exposed to your product"

    "No"

    Weird.. :p
     
  4. Dmi7ry

    Dmi7ry Member

    Joined:
    Jun 24, 2016
    Posts:
    481
  5. ClassyGoat

    ClassyGoat Member

    Joined:
    Jun 21, 2016
    Posts:
    11
  6. WWAZman

    WWAZman Member

    Joined:
    Jun 21, 2016
    Posts:
    88
    no longer available, (or at least, says You don't have access to that) .. was available a week or two ago, I was waiting for a email back seeing if it works on Pi and Oreo.. I was just sitting down to actually BUY Gamemaker 2 after a 3 year hiatus in my game making, but since ..well,... *ALL* my games rely on haptic feedback, I can't update them or make new ones without it! (One is a tactile response bubble popping game which is no fun without the buzzing) .. would greatly appreciate some assistance on this, I want to get back into the game.. pun intended! :D
     
  7. Mick

    Mick Member

    Joined:
    Jun 30, 2016
    Posts:
    719
    I have now updated my "Haptics" extension to support Android 8.0+ phones, it is available again on the Marketplace. You need to replace "Haptics.java" with the one in included files as stated on the details tab when targeting Android 8.0+.
     
  8. Mick

    Mick Member

    Joined:
    Jun 30, 2016
    Posts:
    719
    I removed the Haptics extension from the marketplace due to not having the devices needed to update it properly for Android 8.0+ devices.
     

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice